Subject: Re: Documentation Breakage at 2.5.6

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Wed, 06 Dec 2017 09:14:57 +0100

On Wed, Dec 06 2017, Randall S. Becker jotted:

> Hi All,
>
> I'm trying to upgrade the NonStop port from 2.3.7 upward eventually to
> 2.15.1 and hit a snag on documentation. The xmlto component is a bit new to
> me and I hit the following error:
>
>     XMLTO git-remote-testgit.1
> xmlto: /home/git/git/Documentation/git-remote-testgit.xml does not validate
> (status 3)
> xmlto: Fix document syntax or use --skip-validation option
> I/O error : Attempt to load network entity
> http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd
> /home/git/git/Documentation/git-remote-testgit.xml:2: warning: failed to
> load external entity
> "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd"
> D DocBook XML V4.5//EN"
> "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd"
>
> ^
> I/O error : Attempt to load network entity
> http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd
> warning: failed to load external entity
> "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd"
> validity error : Could not load the external subset
> http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd
>
> The -skip-validation option just takes me to a different problem validating
> via sourceforge URL that appears not to exist anymore, although I had to
> modify ./git/Documention/Makefile, which is vexing.
>
>     XMLTO git-remote-testgit.1
> I/O error : Attempt to load network entity
> http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl
> warning: failed to load external entity
> "http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl"
> compilation error: file /tmp/xmlto-xsl.ie6J8p line 4 element import
> xsl:import : unable to load
> http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl
> Makefile:328: recipe for target 'git-remote-testgit.1' failed
>
> Any advice on getting past this? It would be nice to get git help to working
> again. An answer of "you need to get past 2.5.6" is ok too as long as I know
> where I'm going.

I don't know if this helps, but here with xmlto 0.0.28 on Debian if I
apply this the docs still build:

    diff --git a/Documentation/texi.xsl b/Documentation/texi.xsl
    index 0f8ff07eca..332a65558d 100644
    --- a/Documentation/texi.xsl
    +++ b/Documentation/texi.xsl
    @@ -7,7 +7,7 @@
     <xsl:output method="xml"
                encoding="UTF-8"
                doctype-public="-//OASIS//DTD DocBook XML V4.5//EN"
    -           doctype-system="http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" />
    +           doctype-system="http://example.org/docbook/xml/4.5/docbookx.dtd" />

So whatever's needing to remote fetch those resources doesn't seem to
cause the same error for me.

> -- Brief whoami: NonStop&UNIX developer since approximately
> UNIX(421664400)/NonStop(211288444200000000)
> -- In my real life, I talk too much.